diff Resources/debian-internal.sh @ 46:a45844994a67

distinguishing docker-based builds between buster and bullseye
author Sebastien Jodogne <s.jodogne@gmail.com>
date Thu, 19 Aug 2021 10:36:34 +0200
parents Resources/debian-stable-internal.sh@eb09eb1251b9
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Resources/debian-internal.sh	Thu Aug 19 10:36:34 2021 +0200
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+set -ex
+
+BUILD_TYPE=$1
+USER_ID=$2
+GROUP_ID=$3
+
+# Create the same user and group than the one who is running the
+# "./debian-{distro}-compile.sh" script on the hosting system (*)
+groupadd -g ${GROUP_ID} -r orthanc
+useradd -u ${USER_ID} -r -g orthanc orthanc
+
+# Static build using the root user
+apt-get update
+apt-get install -y cmake build-essential unzip mercurial
+
+mkdir /tmp/build
+cd /tmp/build
+
+cp -r /source /tmp/source-writeable
+cmake /tmp/source-writeable \
+    -DCMAKE_BUILD_TYPE=${BUILD_TYPE} \
+    -DSTATIC_BUILD=ON \
+    -DCMAKE_INSTALL_PREFIX=/target 
+
+make -j`nproc`
+
+# Copy the installation to the host filesystem, using the
+# newly-created user "orthanc" (*) that corresponds to the user who is
+# running "./debian-{distro}-compile.sh" script. This allows to avoid
+# files owned by the "root" user on the host filesystem.
+su -c "cp /tmp/build/libOrthancGoogleCloudPlatform.so /target" orthanc